Bug 1896229 - Current Rate of Bytes Received and Current Rate of Bytes Transmitted data can not be loaded
Summary: Current Rate of Bytes Received and Current Rate of Bytes Transmitted data can...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: ralpert
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-10 05:32 UTC by Yadan Pei
Modified: 2021-02-24 15:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: We did not have code to handle this specific type of data. Consequence: The chart did not load. Fix: We removed the chart for now. Result: The bug is fixed and we have a plan to add code to handle this type of data.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:32:32 UTC
Target Upstream Version:


Attachments (Terms of Use)
Empty Charts (236.54 KB, image/png)
2020-11-10 05:32 UTC, Yadan Pei
no flags Details
The page devoid of the charts. (248.79 KB, image/png)
2020-11-18 04:12 UTC, Siva Reddy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7174 0 None closed Bug 1896229: Hide empty cards 2021-01-20 15:05:32 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:33:02 UTC

Description Yadan Pei 2020-11-10 05:32:12 UTC
Created attachment 1727974 [details]
Empty Charts

Description of problem:
Current Rate of Bytes Received and Current Rate of Bytes Transmitted chart for some Monitoring dashboards are not loaded

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2020-11-09-235738

How reproducible:
Always

Steps to Reproduce:
1.cluster admin user view Monitoring -> Dashboards, choose grafana-dashboard-namespace-by-pod


Actual results:
1. Current Rate of Bytes Received and Current Rate of Bytes Transmitted charts are not shown

Expected results:
1. Current Rate of Bytes Received and Current Rate of Bytes Transmitted charts data should be loaded

Additional info:

Comment 1 ralpert 2020-11-10 20:03:35 UTC
@yapei@redhat.com - Sam wanted to hide these for now and open a story for adding the missing functionality. We currently don't have code to handle gauge charts like these. Please see https://issues.redhat.com/browse/CONSOLE-2473 for adding the functionality.

Comment 2 Yadan Pei 2020-11-11 01:55:42 UTC
Thank you for the info, I've watched the user story

Comment 4 Siva Reddy 2020-11-18 04:11:35 UTC
The empty charts are no more visible 

Version:

4.7.0-0.nightly-2020-11-17-005408

Steps to verify:

1.Log in to the web console
2.Navigate to Monitoring>Dashboards and select the Kubernetes / Networking / Namespace (pods) 

  Notice that the guage charts are not longer present. 

attached screen shot

Comment 5 Siva Reddy 2020-11-18 04:12:16 UTC
Created attachment 1730469 [details]
The page devoid of the charts.

Comment 8 errata-xmlrpc 2021-02-24 15:32:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.